Name:                perl-Pod-Usage
Epoch:               4
Version:             1.70
Release:             1
Summary:             Print a usage message from embedded pod documentation
License:             GPL+ or Artistic
URL:                 https://metacpan.org/release/Pod-Usage
Source0:             https://cpan.metacpan.org/authors/id/M/MA/MAREKR/Pod-Usage-%{version}.tar.gz

BuildArch:           noarch
BuildRequires:       perl make sed coreutils findutils perl-interpreter perl-generators perl(Config) perl(warnings)
BuildRequires:       perl(Cwd) perl(ExtUtils::MakeMaker) perl(File::Basename) perl(File::Spec) perl(strict)
BuildRequires:       perl(Carp) perl(Config) perl(Exporter) perl-Pod-Perldoc perl(Pod::Text) perl(vars)
#tests
BuildRequires:       perl(blib) perl(FileHandle) perl(Pod::PlainText) perl(Test::More) 
Requires:            perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:            perl(File::Spec) perl-Pod-Perldoc perl(Pod::Text)

%description
Pod2usage will print a usage message for the invoking script (using its embedded pod documentation) 
and then exit the script with the desired exit status. The usage message printed may have any one 
of three levels of "verboseness": If the verbose level is 0, then only a synopsis is printed. If 
the verbose level is 1, then the synopsis is printed along with a description (if present) of the 
command line options and arguments. If the verbose level is 2, then the entire manual page is printed.

%package_help

%prep
%autosetup -n Pod-Usage-%{version} -p1

%build
perl Makefile.PL NO_PACKLIST=1 INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root)
%doc README CHANGES
%{_bindir}/pod2usage
%{perl_vendorlib}/*

%files help
%defattr(-,root,root)
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Aug 20 2020 SimpleUpdate Robot <tc@openeuler.org> - 1.70-1
- Upgrade to version 1.70

* Thu Sep 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 4:1.69-418
- Package init


